Package com.independentsoft.office.odf.styles

# Class Print

java.lang.Object
com.independentsoft.office.odf.styles.Print

public class Print extends Object
Represents the components in a spreadsheet document to print.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Print()`
  Initializes a new instance of the Print class.
  `Print​(String value)`
  Initializes a new instance of the Print class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Print`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `boolean`
  `isAnnotations()`
  Specifies the annotations.
  `boolean`
  `isCharts()`
  Specifies the charts.
  `boolean`
  `isDrawings()`
  Specifies the drawings.
  `boolean`
  `isFormulas()`
  Specifies the formulas.
  `boolean`
  `isGrid()`
  Specifies the grid.
  `boolean`
  `isHeaders()`
  Specifies the headers.
  `boolean`
  `isObjects()`
  Specifies the objects.
  `boolean`
  `isZeroValues()`
  Specifies the zero values.
  `void`
  `setAnnotations​(boolean annotations)`
  Specifies the annotations.
  `void`
  `setCharts​(boolean charts)`
  Specifies the charts.
  `void`
  `setDrawings​(boolean drawings)`
  Specifies the drawings.
  `void`
  `setFormulas​(boolean formulas)`
  Specifies the formulas.
  `void`
  `setGrid​(boolean grid)`
  Specifies the grid.
  `void`
  `setHeaders​(boolean headers)`
  Specifies the headers.
  `void`
  `setObjects​(boolean objects)`
  Specifies the objects.
  `void`
  `setZeroValues​(boolean zeroValues)`
  Specifies the zero values.
  `String`
  `toString()`
  Converts the value of the current Print object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Print

    public Print()
    Initializes a new instance of the Print class.

  - ### Print

    public Print​(String value)
    Initializes a new instance of the Print class.
    Parameters:
      `value` - the value

- ## Method Details

  - ### clone

    public Print clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Print object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### isHeaders

    public boolean isHeaders()
    Specifies the headers.
    Returns:
      true, if is headers

  - ### setHeaders

    public void setHeaders​(boolean headers)
    Specifies the headers.
    Parameters:
      `headers` - the new headers

  - ### isGrid

    public boolean isGrid()
    Specifies the grid.
    Returns:
      true, if is grid

  - ### setGrid

    public void setGrid​(boolean grid)
    Specifies the grid.
    Parameters:
      `grid` - the new grid

  - ### isAnnotations

    public boolean isAnnotations()
    Specifies the annotations.
    Returns:
      true, if is annotations

  - ### setAnnotations

    public void setAnnotations​(boolean annotations)
    Specifies the annotations.
    Parameters:
      `annotations` - the new annotations

  - ### isObjects

    public boolean isObjects()
    Specifies the objects.
    Returns:
      true, if is objects

  - ### setObjects

    public void setObjects​(boolean objects)
    Specifies the objects.
    Parameters:
      `objects` - the new objects

  - ### isCharts

    public boolean isCharts()
    Specifies the charts.
    Returns:
      true, if is charts

  - ### setCharts

    public void setCharts​(boolean charts)
    Specifies the charts.
    Parameters:
      `charts` - the new charts

  - ### isDrawings

    public boolean isDrawings()
    Specifies the drawings.
    Returns:
      true, if is drawings

  - ### setDrawings

    public void setDrawings​(boolean drawings)
    Specifies the drawings.
    Parameters:
      `drawings` - the new drawings

  - ### isFormulas

    public boolean isFormulas()
    Specifies the formulas.
    Returns:
      true, if is formulas

  - ### setFormulas

    public void setFormulas​(boolean formulas)
    Specifies the formulas.
    Parameters:
      `formulas` - the new formulas

  - ### isZeroValues

    public boolean isZeroValues()
    Specifies the zero values.
    Returns:
      true, if is zero values

  - ### setZeroValues

    public void setZeroValues​(boolean zeroValues)
    Specifies the zero values.
    Parameters:
      `zeroValues` - the new zero values